%define vendor	Firefly

Summary: X Font Rendering library
Name: libXft
Version: 2.1.2
Release: 2mdk.%{vendor}2
License: MIT
Group: System Environment/Libraries
Source: xft-%{version}.tar.gz
Patch0: libXft-2.1.2-CJK-extra-20031217.patch
Patch1: xft-2.1.1-loadtarget.patch
Patch2: xft-2.1.2-XftDrawGlyphFontSpec-20030502.patch
Patch3: libXft-2.1.2-add_ft2build_header.patch
URL: http://keithp.com/
BuildRoot: %{_tmppath}/Xft-root

BuildRequires: fontconfig-devel >= 2.2.92
BuildRequires: freetype2-devel >= 2.1.7
BuildRequires: XFree86-devel >= 4.3

%description
Xft is a font rendering library for X.

%prep
%setup -q -n xft-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
   --mandir=%{_mandir} \
   --with-fontconfig-includes=%{_includedir} \
   --with-fontconfig-lib=%{_libdir}

%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
rm -fr $RPM_BUILD_ROOT/usr/bin
rm -fr $RPM_BUILD_ROOT/usr/include
rm -fr $RPM_BUILD_ROOT/usr/lib/pkgconfig
rm -fr $RPM_BUILD_ROOT%{_datadir}
rm -fr $RPM_BUILD_ROOT/usr/lib/*.a
rm -fr $RPM_BUILD_ROOT/usr/lib/*.la

strip $RPM_BUILD_ROOT/usr/lib/lib*so*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
/usr/lib*

%changelog
* Tue Mar 23 2004 Alex Wan {alexwan@icare.com.hk} 2mdk.Firefly2
- Patch0: add patch for modification CJK fonts' features: include artificial bold, fixed character width, and use embedded bitmap fonts first etc.
- Patch1: add patch from RedHat
- Patch2: add patch for correct the XftDrawGlyphFontSpec function.
- Patch3: add patch for freetype 2.1.7 requirement
- Extract libXft2 from XFree86 for easy update Firefly's patch and upgrade.

# end of file
